#include<bits/stdc++.h>
using namespace std;
float a(float x)
{
    if(x==1) return 1;
    else return ((1.0/x) + a(x-1));
}
int gt(int x)
{
    if(x==0) return 1;
    else return x*gt(x-2);
}
float b(int x)
{
    if(x==0) return 1;
    else return ((1.0/gt(x))+b(x-2));
}
int main()
{
    ifstream fi("dqab.inp");
    ofstream fo("dqab.out");
    float n;
    fi>>n;
    fo.setf(ios::fixed);
    fo.setf(ios::showpoint);
    fo.precision(3);
    fo<<a(n)<<endl<<b(2*n);
}
